*{
	padding: 0;
	margin: 0;
}

/* position static, 

1. Respeta el flujo de código, posicionará según los lea de html
2. No entiende o no codifica el top, left, right, bottom*/


/*position relative, 

1. Respecta el flujo de código, posiciona según lee de html
2. Entiende de top, left, right, bottom*/

/*position sticky. 

1. Al principio se comporta como un relative y al detectar scroll vertical y mediante un 
punto de ruptura o parada, pasa a comportarse como un fixed. 
2. fixed, elemento fijo en nuestra herramienta donde no cambia posición. 
*/

/*position fixed
1. Hace que no se respete el código de la página. 
2. Contenedores o elementos posteriores se posicionan en la misma posición
3. Entiende de top, bottom, left, right.*/

/* position: absolute: respeta el top */

header 
{
	position: sticky;
	width: 100%;
	height: 100px;
	background-color: orange;
	opacity: 1;
	z-index: 999;
	top: 0;
}

/*Accede a nav, luego a nav para aplicar estilo*/
header nav
{
	position: relative;
}

main 
{
	position: relative;
	width: 100%;
	height: 150px;
	background-color: blue;
}

.icon-happy2
{
	color: lawngreen;
	font-size: 50px;
}

.icon-cool
{
	color: brown;
}

.estiloPropio
{
	font-size: 100px;
}

/* Fuente de: DaFont*/
/*Importa el tipo de letra, tantos como quisiera*/
@font-face
{
	font-family: letraUno;
	src: url("fuente/Catalunya.ttf");
}

p
{
	font-family: letraUno, sans-serif; /*Si no carga bien la fuente importada aplica la sans-serif*/
	font-size: 60px;
}

/*para referenciar a todos los componentes con la id miId*/
#miId
{
	position: relative;
}

/*para referenciar a todos los componentes de la clase miClase*/
.miClase
{
	position: relative;
}

/*para referenciar a todos los componentes 'nav' de la clase miClase*/
nav.miClase
{
	position: relative;
}

footer
{
	position: relative;
}


td, table, th {
	border: 3px solid green;
}

/*body{
	margin: 0px;
	padding: 0px;
}

ul{
	list-style: none;
	display: inline;
}
li {
	display: inline;
}
*/
	
/*Static: Respeta como viene. No entiende top left right.. - por defecto*/
/*relative: entiende top, left, right ...*/
/*fixed: ---*/
/*sticky: en un punto de ruptura se comporta como un fixed*/
